flutter_cep 1.0.0

Dart native js
Flutter Android iOS web

Uma biblioteca para consulta de CEP. O conceito é requisitar os dados para várias APIs e devolver o primeiro resultado retornado.

flutter_cep #

Package que integra com mais de uma API de consulta CEP. Retorna os dados da primeira requisição que devolver resultados.

Uso #

import 'package:flutter_cep/flutter_cep.dart';

main() async {
  var resultado = await FlutterCep.consultarCep('90020004');
  
  print('UF ${resultado.uf}');
  print('CEP ${resultado.cep}');
  print('IBGE ${resultado.ibge}');
  print('Bairro ${resultado.bairro}');
  print('Cidade ${resultado.cidade}');
  print('Estado ${resultado.estado}');
  print('Logradouro ${resultado.logradouro}');
  print('Complemento ${resultado.complemento}');
}

APIs consultadas #

ViaCEP (https://www.viacep.com.br)

Postmon (https://postmon.com.br/)

Bugs e melhorias #

Para bugs e melhorias issue tracker.

1
likes
90
pub points
0%
popularity

Uma biblioteca para consulta de CEP. O conceito é requisitar os dados para várias APIs e devolver o primeiro resultado retornado.

Repository (GitHub)
View/report issues

Documentation

Documentation
API reference

Uploader

teffersonguterres@gmail.com

License

MIT (LICENSE)

Dependencies

cep

More

Packages that depend on flutter_cep